<div>
    <span class="fs-5"><a routerLink="/technical-support"><i class="bi bi-chevron-left"></i></a>
        {{'techsupport.firstTitle' | translate}} №{{techDetail?.number}}</span>
    <div class="row">
        <div class="col-4 mt-3">
            <div class="card rounded" style="width: 15rem;">
                <img src="{{urlApi+'/files/tech/'+techDetail?.id+ '/' + techDetail?.files[imagesIndex]?.filename}}" style="height: 15rem;" class="img-fluid rounded m-2" alt="">
                <div class="card-body border-top">
                    <div class="d-flex justify-content-between">
                    <button class="btn border" (click)="decrement()"><i class="bi bi-arrow-left"></i></button>
                    <span class="my-auto">{{imagesIndex+1 + ' из ' + techDetail?.files.length}}</span>
                    <button class="btn border" (click)="increment()"><i class="bi bi-arrow-right"></i></button>
                    </div>
                </div>
            </div>
        </div>
            <div class="col-8 mt-3">
                <div class="mb-2">
                    <span class="fw-semibold">{{'techsupport.from' | translate}}</span>
                    <span> {{getFullName(techDetail?.user)}}</span>
                    <div>
                        <span class="fw-semibold">{{'techsupport.post' | translate}}</span>
                        <span> {{techDetail?.user?.employeeDTO?.serviceGroup?.name || ' Клиент'}}</span>
                    </div>
                </div>
                <hr>
                <div class="mb-2">
                    <span class="fw-semibold">{{"Описания: "}}</span>
                    <span>{{techDetail?.message}}</span>
                </div>
                <hr>
                <div class="mb-2">
                    <label class="form-label">{{'techsupport.choose' | translate}}</label>
                    <select #select class="form-select w-50" (change)="adminChanged(select.value)">
                        <option selected>{{'techsupport.take' | translate}}</option>
                        <option [value]="item.login" *ngFor="let item of adminList">{{getFullName(item)}}</option>
                    </select>
                </div>
                <hr>
                <div class="mb-2">
                    <label class="form-label">Статус</label>
                    <select #item class="form-select w-50" (change)="statusChange(item.value)">
                        <option selected>{{'techsupport.take' | translate}}</option>
                        <option [value]="item.id" *ngFor="let item of status">{{item.name}}</option>
                    </select>
                </div>
                <hr>
                <div class="mb-1">
                    <span class="fw-semibold">{{'techsupport.startDate' | translate}}</span>
                    <span>{{techDetail?.startTime | date: 'dd MMMM yyyy, HH:mm'}}</span>
                </div>
                <div class="mb-2">
                    <span class="fw-semibold">{{'techsupport.endDate' | translate}}</span>
                    <span>{{techDetail?.completeTime | date: 'dd MMMM yyyy, HH:mm'}}</span>
                </div>

                <!-- <div *ngIf="techDetail?.files.length !== 0">
                <hr>
                <p>{{'techsupport.image' | translate}}</p>
                    <div class="d-flex">
                        <a class="border w-50 me-2" (click)="openGallery(techDetail?.id, item?.filename)" *ngFor="let item of techDetail?.files">
                        <img src="{{urlApi+'/files/tech/'+techDetail?.id+ '/' +item.filename}}" [alt]="item?.filename" width="400vw">  
                        </a> 
                    </div>
                </div> -->

                <div>
                    <hr>
                    <button class="btn btn-outline-dark" (click)="changeNumber(assign)">{{'techsupport.appoint' | translate}}</button>
                </div>
            </div>
    </div>
</div>

<ng-template #assign>
    <div class="modal-body">
        <label>{{'techsupport.appointNumber' | translate}}</label>
        <input type="number" class="form-control" [(ngModel)]="assignNumber">
        <button class="btn btn-outline-dark my-2" (click)="assignNumberTech()">{{'techsupport.appoint' | translate}}</button>
    </div>
</ng-template>